#pragma once

#include <QWidget>
#include <QTcpSocket>
#include <QTimer>

namespace Ui {
class MyWidget;
}

class MyWidget : public QWidget
{
    Q_OBJECT

public:
    explicit MyWidget(QWidget *parent = 0);
    ~MyWidget();

protected:
    /* TODO: Dodać zmienną reprezentująca gniazdo - wskaźnik na  QTcpSocket */
    QTimer * connTimeoutTimer = new QTimer(this);
    void connectBtnHit();
    void sendBtnHit();
    
    void socketConnected();
    /* TODO: Stworzyć nagłówki pozostałych funkcji obsługujących zdarzenie na gnieździe */

private:
    Ui::MyWidget * ui;


};

